'settings' and 'project properties' doubled in menu's

2011-07-01 02:16 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 14026

Description

Running Ubuntu Natty (gnome classic desktop) here, both and 'Project properties' and the full 'Options set' are twice available in the

menu's:

- 'Project properties' is show both in File and Settings

- 'Custom CRS, Configure shortcuts, Options, Snapping Options' are available in both Edit and Settings menu

Associated revisions

Revision 8d28b6ee - 2011-07-04 09:11 PM - Martin Dobias

Remove duplicate menu entries on non-kde platforms (fix #4040)

History

#1 - 2011-07-04 12:13 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit 8d28b6ee14694271581a

#2 - 2011-07-06 03:31 PM - Giovanni Manghi

- Resolution deleted (fixed)

Now in Ubuntu/qgis trunk the "project properties" menu item disappeared from "Settings" and show just in "file". I believe that it should be the contrary, to

be consistent with the Windows version.

#3 - 2011-07-07 01:08 AM - Martin Dobias

Each platform has some guidelines how the menus should be organized. So, on one side there is consistency of QGIS across platforms, on the other side

there is consistency with each platform's guidelines... What should be given more importance? :-)

#4 - 2011-07-07 03:09 AM - Richard Duivenvoorde

My 2cents: if double items are gone, this issues is fixed :-)
If we want to conform to all platforms (or just one?), that would make a nice feature request I would think.
